net.sf.jasperreports.components.spiderchart

## Interface SpiderPlot

- All Superinterfaces:
    ChartPlot, java.lang.Cloneable, JRCloneable, java.io.Serializable
  All Known Implementing Classes:
    FillSpiderPlot, StandardSpiderPlot

      public interface SpiderPlot
      extends ChartPlot

  Version:
    $Id: SpiderPlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getAxisLineColor()`
    `java.lang.Float` | `getAxisLineWidth()`
    `java.lang.Double` | `getHeadPercent()`
    `java.lang.Double` | `getInteriorGap()`
    `java.awt.Color` | `getLabelColor()`
    `JRFont` | `getLabelFont()`
    `java.lang.Double` | `getLabelGap()`
    `JRExpression` | `getMaxValueExpression()`
    `SpiderRotationEnum` | `getRotation()`
    `java.lang.Double` | `getStartAngle()`
    `TableOrderEnum` | `getTableOrder()`
    `java.lang.Boolean` | `getWebFilled()`

    - ### Methods inherited from interface net.sf.jasperreports.components.charts.ChartPlot

      `getBackcolor, getBackgroundAlpha, getForegroundAlpha, getOrientation`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getMaxValueExpression

          JRExpression getMaxValueExpression()

    - #### getLabelFont

          JRFont getLabelFont()

    - #### getRotation

          SpiderRotationEnum getRotation()

    - #### getTableOrder

          TableOrderEnum getTableOrder()

    - #### getWebFilled

          java.lang.Boolean getWebFilled()

    - #### getStartAngle

          java.lang.Double getStartAngle()

    - #### getHeadPercent

          java.lang.Double getHeadPercent()

    - #### getInteriorGap

          java.lang.Double getInteriorGap()

    - #### getAxisLineColor

          java.awt.Color getAxisLineColor()

    - #### getAxisLineWidth

          java.lang.Float getAxisLineWidth()

    - #### getLabelGap

          java.lang.Double getLabelGap()

    - #### getLabelColor

          java.awt.Color getLabelColor()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com